| helics 3.6.1

Public Member Functions | List of all members
helics::zeromq::ZmqCoreSS Class Referencefinal

`#include <ZmqCore.h>`

Inheritance diagram for helics::zeromq::ZmqCoreSS:

## Public Member Functions
| ZmqCoreSS () noexcept
| ZmqCoreSS (std::string_view coreName)
Public Member Functions inherited from helics::NetworkCore< ZmqCommsSS, InterfaceTypes::TCP >
| NetworkCore () noexcept
| NetworkCore (std::string_view broker_name)
virtual std::string | generateLocalAddressString () const override
Public Member Functions inherited from helics::CommsBroker< COMMS, BrokerT >
| CommsBroker () noexcept
| CommsBroker (bool arg) noexcept
| CommsBroker (std::string_view obj_name)
| ~CommsBroker ()
virtual void | transmit (route_id rid, const ActionMessage &cmd) override
virtual void | transmit (route_id rid, ActionMessage &&cmd) override
virtual void | addRoute (route_id rid, int interfaceId, std::string_view routeInfo) override
virtual void | removeRoute (route_id rid) override
COMMS * | getCommsObjectPointer ()

## Additional Inherited Members
Protected Member Functions inherited from helics::NetworkCore< ZmqCommsSS, InterfaceTypes::TCP >
virtual std::shared_ptr< helicsCLI11App > | generateCLI () override
Protected Attributes inherited from helics::NetworkCore< ZmqCommsSS, InterfaceTypes::TCP >
std::mutex | dataMutex
| mutex protecting the configuration information
NetworkBrokerData | netInfo
| structure containing the networking information
Protected Attributes inherited from helics::CommsBroker< COMMS, BrokerT >
std::atomic< int > | disconnectionStage {0}
| the stage of disconnection
std::unique_ptr< COMMS > | comms
| the actual comms object
std::atomic< bool > | brokerInitialized {false}
| atomic protecting local initialization

## Detailed Description

implementation for the core that uses zmq messages to communicate

## Constructor & Destructor Documentation

## ◆ ZmqCoreSS() [1/2]

helics::zeromq::ZmqCoreSS::ZmqCoreSS | ( |  | ) |
| noexcept

default constructor

References helics::NetworkBrokerData::appendNameToAddress, helics::NetworkCore< ZmqCommsSS, InterfaceTypes::TCP >::netInfo, and helics::NetworkBrokerData::server_mode.

## ◆ ZmqCoreSS() [2/2]

helics::zeromq::ZmqCoreSS::ZmqCoreSS | ( | std::string_view | coreName | ) |

construct from with a core name

References helics::NetworkBrokerData::appendNameToAddress, helics::NetworkCore< ZmqCommsSS, InterfaceTypes::TCP >::netInfo, and helics::NetworkBrokerData::server_mode.

The documentation for this class was generated from the following files:

- ZmqCore.h
- ZmqCore.cpp